using APT.Infrastructure.Core;
using System;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    /// <summary>
    /// 外部连接配置 明细
    /// </summary>
    [Description("连接配置明细表")]
   [IgnoreT4]public class T_FM_EXT_CONN_CONFIG_DETAIL : MesEntityBase
	{
		/// <summary>
		/// 外部连接配置ID
		/// </summary>
		public Guid EXT_CONN_CONFIG_ID { get; set; }
		
		[Description("键")]
		public string KEY { get; set; }

		[Description("值")]
		public string VALUE { get; set; }
		
		[Description("备注")]
		public string REMARK { get; set; }

        [Description("导航：外部连接配置表")]
        public virtual T_FM_EXT_CONN_CONFIG Nav_ExtConnConfig { get; set; }

	}
}
